// Bewa.cpp : Defines the class behaviors for the application.
//

#include "stdafx.h"
#include "Bewa.h"
#include "BewaDlg.h"
#include "Dlgpassword.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CBewaApp

BEGIN_MESSAGE_MAP(CBewaApp, CWinApp)
	//{{AFX_MSG_MAP(CBewaApp)
	ON_COMMAND(ID_MENU_EXIT, OnMenuExit)
	//}}AFX_MSG_MAP
	ON_COMMAND(ID_HELP, CWinApp::OnHelp)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CBewaApp construction

CBewaApp::CBewaApp()
{
	// TODO: add construction code here,
	// Place all significant initialization in InitInstance
}

/////////////////////////////////////////////////////////////////////////////
// The one and only CBewaApp object

CBewaApp theApp;

/////////////////////////////////////////////////////////////////////////////
// CBewaApp initialization

BOOL CBewaApp::InitInstance()
{
	AfxEnableControlContainer();

	// Standard initialization
	// If you are not using these features and wish to reduce the size
	//  of your final executable, you should remove from the following
	//  the specific initialization routines you do not need.

#ifdef _AFXDLL
	Enable3dControls();			// Call this when using MFC in a shared DLL
#else
	Enable3dControlsStatic();	// Call this when linking to MFC statically
#endif
     //口令问讯过程
	CDlgpassword  dlgpass;          //创建对话框对象
	if(dlgpass.DoModal()==IDOK)      //用户按了"OK"按钮
	{ 
	if(strcmp(dlgpass.m_password,"12a"))
	   {
		//如果口令不对，则显示出错信息，然后程序结束
		AfxMessageBox("口令错误，确定后将退出程序.",MB_OK|MB_ICONERROR);
		return FALSE;
	   }
	}
	else  //如果按了"Cancel"按钮，程序结束
	return FALSE;
	CBewaDlg dlg;
	m_pMainWnd = &dlg;
	int nResponse = dlg.DoModal();
	if (nResponse == IDOK)
	{
		// TODO: Place code here to handle when the dialog is
		//  dismissed with OK
	}
	else if (nResponse == IDCANCEL)
	{
		// TODO: Place code here to handle when the dialog is
		//  dismissed with Cancel
	}

	// Since the dialog has been closed, return FALSE so that we exit the
	//  application, rather than start the application's message pump.
	return FALSE;
}

void CBewaApp::OnMenuExit() 
{
	// TODO: Add your command handler code here
	exit(0);
	
}
